/* 
 * randomize.c -- randomize the arguments
 * Author          : Jrme Santini  <js@zoe4>
 * Created On      : Sun Jan 14 17:06:50 1996
 * Last Modified By: Jrme Santini  <js@zoe4>
 * Last Modified On: Sun Jan 14 18:04:18 1996
 * File Path       : /home/js/tmp/tkbrain/randomize.c
 * Update Count    : 2
 */

/* INCLUDES ------------------------------------------------------- */
#include <stdio.h>
#include <unistd.h>
#include <time.h>
#include <stdlib.h>

/* ---------------------------------------------------------------- */
int
main(int argc, char **argv)
{
  int i = --argc;

  if(argc == 0)
    {
      fprintf(stderr,"Usage: randomize args\n"
	      "randomize the arguments\n");
      exit(1);
    }
  
  srandom(time(NULL)+getpid());
  for(; i > 0 ; --i)
    {
      int a = random()%argc+1;
      int b = random()%argc+1;
      char *tmp;
      tmp = argv[a];
      argv[a] = argv[b];
      argv[b] = tmp;
    }
  
  for(i = 1 ; i <= argc; ++i )
      printf("%s ",argv[i]);

  putchar('\n');
  
  return(0);
}

/* EOF ------------------------------------------------------------ */
